VDODEBUGMETADATA(8)

NAME
vdodebugmetadata - load a metadata dump of a VDO device

SYNOPSIS
vdodebugmetadata [--pbn=pbn ...] [--searchLBN=lbn ...] filename

DESCRIPTION
vdodebugmetadata loads the metadata regions dumped by vdodumpmetadata. It should be run under GDB, with a breakpoint on the function doNothing.

Variables vdo, slabSummary, slabs, and recoveryJournal are available, providing access to the VDO super block state, the slab summary blocks, all slab journal and reference blocks per slab, and all recovery journal blocks.

Please note that this tool does not provide access to block map pages.

OPTIONS

--pbn
    Print the slab journal entries for the given PBN. This option may be specified up to 255 times.

--searchLBN
    Print the recovery journal entries for the given LBN. This includes PBN, increment/decrement, mapping state, recovery journal position information, and whether the recovery journal block is valid. This option may be specified up to 255 times.

SEE ALSO
vdo(8), vdodumpmetadata(8).